# Uses of Class
org.eclipse.pde.core.target.NameVersionDescriptor

Packages that use NameVersionDescriptor
Package
Description
org.eclipse.pde.core.target
Application programming interfaces to access and modify the PDE target platform.

## Uses of NameVersionDescriptor in org.eclipse.pde.core.target

Methods in org.eclipse.pde.core.target that return NameVersionDescriptor
Modifier and Type
Method
Description
`static NameVersionDescriptor`
NameVersionDescriptor.`fromPortableString(String portable)`
Creates a descriptor from a portable string.
`NameVersionDescriptor[]`
TargetFeature.`getDependentFeatures()`
Returns a list of name version descriptors that describe the set of features that this feature depends on as imports or included features.
`NameVersionDescriptor[]`
ITargetDefinition.`getImplicitDependencies()`
Returns the implicit dependencies set on this target or `null` if none.
`NameVersionDescriptor[]`
ITargetDefinition.`getIncluded()`
Returns a list of descriptors that filter the resolved plug-ins in this target.
`NameVersionDescriptor[]`
TargetFeature.`getPlugins()`
Returns a list of name version descriptor that describes the set of plug-ins that this feature includes.
Methods in org.eclipse.pde.core.target with parameters of type NameVersionDescriptor
Modifier and Type
Method
Description
`void`
ITargetDefinition.`setImplicitDependencies(NameVersionDescriptor[] bundles)`
Sets implicit dependencies for this target.
`void`
ITargetDefinition.`setIncluded(NameVersionDescriptor[] included)`
Sets a list of descriptors to filter the resolved plug-ins in this target.